summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2013-01-16 23:01:02 +0000
committerGilles Dartiguelongue <eva@gentoo.org>2013-01-16 23:01:02 +0000
commit73764422a1b30661f1bdeebe1283b7fa2e40ac39 (patch)
tree62cfb343242d659e3de6b955ce95b22d59b30422 /eclass/gnome2.eclass
parentUpdate eclass documentation to be correclty parsed, bug #452204. (diff)
downloadgentoo-2-73764422a1b30661f1bdeebe1283b7fa2e40ac39.tar.gz
gentoo-2-73764422a1b30661f1bdeebe1283b7fa2e40ac39.tar.bz2
gentoo-2-73764422a1b30661f1bdeebe1283b7fa2e40ac39.zip
Drop deprecated SCROLLKEEPER_UPDATE and switch to in_iuse.
Diffstat (limited to 'eclass/gnome2.eclass')
-rw-r--r--eclass/gnome2.eclass11
1 files changed, 3 insertions, 8 deletions
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index e39f58ba4048..5f06a299f943 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.119 2013/01/16 22:52:37 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.120 2013/01/16 23:01:02 eva Exp $
# @ECLASS: gnome2.eclass
# @MAINTAINER:
@@ -50,11 +50,6 @@ ELTCONF=${ELTCONF:-""}
# Should we use EINSTALL instead of DESTDIR. DEPRECATED
USE_EINSTALL=${USE_EINSTALL:-""}
-# @ECLASS-VARIABLE: SCROLLKEEPER_UPDATE
-# @DESCRIPTION:
-# Whether to run scrollkeeper for this package or not. DEPRECATED
-SCROLLKEEPER_UPDATE=${SCROLLKEEPER_UPDATE:-"1"}
-
# @ECLASS-VARIABLE: DOCS
# @DEFAULT_UNSET
# @DESCRIPTION:
@@ -128,7 +123,7 @@ gnome2_src_configure() {
# rebuild docs.
# Preserve old behavior for older EAPI.
if grep -q "enable-gtk-doc" ${ECONF_SOURCE:-.}/configure ; then
- if has ${EAPI:-0} 0 1 2 3 4 && has doc ${IUSE} ; then
+ if has ${EAPI:-0} 0 1 2 3 4 && in_iuse doc ; then
G2CONF="$(use_enable doc gtk-doc) ${G2CONF}"
else
G2CONF="--disable-gtk-doc ${G2CONF}"
@@ -236,7 +231,7 @@ gnome2_src_install() {
if has ${EAPI:-0} 0 1 2 3 4; then
if [[ "${GNOME2_LA_PUNT}" != "no" ]]; then
ebegin "Removing .la files"
- if ! { has static-libs ${IUSE//+} && use static-libs; }; then
+ if ! use_if_iuse static-libs ; then
find "${D}" -name '*.la' -exec rm -f {} + || die "la file removal failed"
fi
eend